Update Testset
Update a Testset. Only the fields provided in the request body will be updated. If a field is provided, the new content will replace the existing content. If a field is not provided, the existing content will remain unchanged.
When updating the schema:
- If field mappings are not provided and existing mappings reference fields that no longer exist, those mappings will be automatically removed
- To preserve all existing mappings, ensure all referenced fields remain in the updated schema
- For complete control, provide both schema and fieldMapping when updating the schema
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the Testset to update.
"246"
Body
Response
Testset updated successfully
A collection of Testcases that share the same schema.
Each Testset defines the structure of its Testcases through a JSON schema.
The fieldMapping object maps top-level keys of the Testcase schema to their roles (input/expected output).
Fields not mentioned in the fieldMapping during creation or update are treated as metadata.
JSON Schema validation constraints supported:
- Required fields - Fields listed in the schema's
requiredarray must be present in Testcases. - Type validation - Values must match the specified type (string, number, boolean, null, integer, object, array).
- Enum validation - Values must be one of the options specified in the
enumarray. - Object property validation - Properties of objects must conform to their defined schemas.
- Array item validation - Items in arrays must conform to the
itemsschema. - Logical composition - Values must conform to at least one schema in the
anyOfarray.
Testcases that fail validation will still be stored, but will include validationErrors detailing the issues.
Extra fields in the Testcase data that are not in the schema will be stored but are ignored during validation.
The ID of the Testset.
The name of the Testset.
The description of the Testset.
The JSON schema for each Testcase in the Testset.
Maps top-level keys of the Testcase schema to their roles (input/expected output). Unmapped fields are treated as metadata.